package de.guidemo;

import com.vaadin.incubator.dashlayout.ui.VerDashLayout;
import com.vaadin.ui.Component;
import com.vaadin.ui.Window;

public class MainWindow extends Window
{
  private VerDashLayout mainVL;
  private VerDashLayout loginVL;
  private HeaderPanel topPnl;
  private Component activeMainComponent = null;
  private LoginPanel loginPnl;

  public MainWindow()
  {
    super();
    setCaption("Dash Test Window");
  }

  public void init()
  {
    mainVL = new VerDashLayout();
    mainVL.setHeight("100%");
    mainVL.setMargin(false);
    mainVL.addStyleName("bg-standard");
    topPnl = new HeaderPanel();
    loginVL = new VerDashLayout();
    loginVL.setHeight("100%");
    loginPnl = new LoginPanel();
    loginPnl.doInit();
    loginVL.addComponent(loginPnl);
    activeMainComponent = loginPnl;
    mainVL.addComponent(topPnl);
    mainVL.addComponent(loginVL);
    mainVL.setExpandRatio(topPnl, 0);
    mainVL.setExpandRatio(loginVL, 10);
    setContent(mainVL);
  }
}
